%{!?python_sitelib: %global python_sitelib %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib()')}

Name:		wicd
Version:	1.7.0
Release:	4%{?dist}
Summary:	A wireless and wired network manager

Group:		Applications/System
License:	GPLv2
Url:		http://wicd.net
Source0:	http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	python-devel gettext desktop-file-utils
Requires:	ethtool net-tools wpa_supplicant pm-utils wireless-tools
Requires:	dhclient iproute dbus-python pygtk2 pyhton-urwid


%description
A complete network connection manager
Wicd supports wired and wireless networks, and capable of
creating and tracking profiles for both. It has a 
template-based wireless encryption system, which allows the user
to easily add encryption methods used. It ships with some common
encryption types, such as WPA and WEP. Wicd will automatically
connect at startup to any preferred network within range.


%prep

%setup -q

#Fixing rpmlint error
%{__sed} -i 's/\r//' wicd/logfile.py

%build

%{__python} setup.py configure
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install

%{__python} setup.py install -O1 --skip-build --root=$RPM_BUILD_ROOT 
rm -rf $RPM_BUILD_ROOT/usr/share/doc/wicd/
desktop-file-install --dir $RPM_BUILD_ROOT/usr/share/autostart/ other/wicd-tray.desktop
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" == "1" ]; then
  /sbin/chkconfig --add wicd
fi

touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%preun
if [ $1 -eq 0 ]; then
  /sbin/service wicd stop >/dev/null 2>&1
  /sbin/chkconfig --del wicd
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi


%files -f %{name}.lang

%defattr(-,root,root,-)
%doc AUTHORS CHANGES INSTALL LICENSE README
%{_bindir}/%{name}-*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/autostart/%{name}-tray.desktop
%{_datadir}/pixmaps/%{name}*
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}-gtk.*


%{_mandir}/nl/*/%{name}*
%{_mandir}/*/%{name}*
%{_sysconfdir}/acpi/resume.d/80-wicd-connect.sh
%{_sysconfdir}/acpi/suspend.d/50-wicd-suspend.sh
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/wicd.conf
%config(noreplace) %{_sysconfdir}/xdg/autostart/wicd-tray.desktop
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_sbindir}/%{name}
%{_libdir}/pm-utils/sleep.d/91wicd
#%{_libdir}/%{name}/*
%{_localstatedir}/%{_lib}/%{name}/
%{_initddir}/%{name}
/var/log/wicd/.empty_on_purpose


%{python_sitelib}/*

%changelog
* Thu May 06 2010 Gareth John <gareth.l.john@googlemail.com> 1.7.0-1
- Updated to upstream release 1.7.0
 
* Fri Feb 26 2010 Gareth John <gareth.l.john@googlemail.com> 1.6.2-4
- Tidy up macros etc. 
* Sun Jul 9 2009 Rangeen Basu Roy Chowdhury <sherry151@fedoraproject.org> 1.6.2-3
- Version bump to 1.6.2
- Made lot of ownership changes and setup changes
- Made the spec file Fedora speciefic 
* Sun Jun 21 2009 Andrew Psaltis <ampsaltis@gmail.com> 1.6.1-2
- Version bump to 1.6.1
* Mon Jun 8 2009 Andrew Psaltis <ampsaltis@gmail.com> 1.6.0-2
- Version bump to 1.6.0 :)
* Thu May 28 2009 Andrew Psalits <ampsaltis@gmail.com> 1.6.0b3-2
- Version bump to 1.6.0b3
* Sat May 23 2009 Andrew Psalits <ampsaltis@gmail.com> 1.6.0b2-2
- Added locale directories for nl_NL to placate OpenSUSE >= 11.1
* Sat May 23 2009 Andrew Psalits <ampsaltis@gmail.com> 1.6.0b2-2
- Version bump to 1.6.0b2
- Forced OpenSUSE to use dhcpcd
* Thu May 14 2009 Andrew Psaltis <ampsaltis@gmail.com> 1.6.0b1-2
- Added missing /usr/share/hicolor directory to make OpenSUSE >= 11.1 happy
* Thu May 14 2009 Andrew Psaltis <ampsaltis@gmail.com> 1.6.0b1-2
- Version bump to 1.6.0b1
- Added support for the --distro tag in setup.py
- Cleaned up some of the SUSE directory code
* Wed May 13 2009 Andrew Psaltis <ampsaltis@gmail.com 1.6.0a3-1  
- Switched over to gzipped source tarball  
* Wed May 5 2009 Adam Blackburn <comwpiz18@gmail.com> 1.6.0a3-1
- Version bump to 1.6.0a3
* Thu Apr 23 2009 Andrew Psaltis <ampsaltis@gmail.com> 1.6.0a2-1
- Version bump to 1.6.0a2
* Tue Apr 21 2009 Andrew Psaltis <ampsaltis@gmail.com> 1.6.0a1-1
- Version bump to 1.6.0a1
* Mon Apr 20 2009 Andrew Psaltis <ampsaltis@gmail.com> r357-1
- First really working copy of wicd.spec :)
